bm::d_copy_func< T > Struct Template Reference

d-Gap copy functor More...

`#include <bmfunc.h>`

## Public Member Functions

| d_copy_func (T *dg_buf)
void | operator() (T dgap)

## Data Fields

T * | dgap_buf_

## Detailed Description

template<typename T>
struct bm::d_copy_func< T >

d-Gap copy functor

Definition at line 2758 of file bmfunc.h.

## Constructor & Destructor Documentation

## d_copy_func()

template<typename T>

bm::d_copy_func< T >::d_copy_func | ( | T * | dg_buf | ) |

inline

Definition at line 2760 of file bmfunc.h.

References dgap_buf_.

## Member Function Documentation

## operator()()

template<typename T>

void bm::d_copy_func< T >::operator() | ( | T | dgap | ) |

inline

Definition at line 2761 of file bmfunc.h.

References dgap_buf_.

## Field Documentation

## dgap_buf_

template<typename T>

T* bm::d_copy_func< T >::dgap_buf_

Definition at line 2763 of file bmfunc.h.

Referenced by d_copy_func(), bm::gap_2_dgap(), and operator()().

The documentation for this struct was generated from the following file:

- bmfunc.h